package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民用工程业务对象 z_engineering_civil
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringCivilBo extends BaseEntity {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 小区id
     */
    @NotNull(message = "小区id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long areaId;

    /**
     * 楼宇id
     */
    @NotNull(message = "楼宇id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long buildingId;

    /**
     * 单元id
     */
    @NotNull(message = "单元id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long unitId;

    /**
     * 房间id
     */
    @NotNull(message = "房间id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long houseId;

    /**
     * 工程类型
     */
    @NotBlank(message = "工程类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engineeringType;

    /**
     * 负责人id
     */
    @NotBlank(message = "负责人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String headName;

    /**
     * 负责人电话
     */
    @NotBlank(message = "负责人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String headPhone;

    /**
     * 工程分类
     */
    @NotBlank(message = "工程分类不能为空", groups = { AddGroup.class, EditGroup.class })
    private String engineeringClassification;


}
