package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程详情业务对象 z_engineering_info
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringInfoBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 民用工程id
     */
    @NotNull(message = "民用工程id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long engInfoId;

    /**
     * 施工地址
     */
    @NotBlank(message = "施工地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructAddre;

    /**
     * 是否按图纸施工
     */
    @NotBlank(message = "是否按图纸施工不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructAccordingDrawings;

    /**
     * 分段打压是否合格
     */
    @NotBlank(message = "分段打压是否合格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String segmentedCompressionQualified;

    /**
     * 回填时间
     */
    @NotNull(message = "回填时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date backfillTime;

    /**
     * 施工人电话
     */
    @NotBlank(message = "施工人电话不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructPhone;

    /**
     * 施工人
     */
    @NotBlank(message = "施工人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructUser;

    /**
     * 施工时间
     */
    @NotNull(message = "施工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date constructTime;


}
