package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 基建工程业务对象 z_engineering_infrastructure
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringInfrastructureBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 工程名称
     */
    @NotBlank(message = "工程名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginName;

    /**
     * 工程地址
     */
    @NotBlank(message = "工程地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginAddre;

    /**
     * 建设单位
     */
    @NotBlank(message = "建设单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructUnit;

    /**
     * 开工时间
     */
    @NotNull(message = "开工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date startTime;

    /**
     * 计划工期
     */
    @NotBlank(message = "计划工期不能为空", groups = { AddGroup.class, EditGroup.class })
    private String plannedDuration;

    /**
     * 竣工时间
     */
    @NotNull(message = "竣工时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date completedTime;

    /**
     * 工程内容
     */
    @NotBlank(message = "工程内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginContent;


}
