package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料业务对象 z_engineering_material
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringMaterialBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 详情id
     */
    @NotNull(message = "详情id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long detailsId;

    /**
     * 材质
     */
    @NotBlank(message = "材质不能为空", groups = { AddGroup.class, EditGroup.class })
    private String materialQuality;

    /**
     * 规格
     */
    @NotBlank(message = "规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String specifications;

    /**
     * 尺寸
     */
    @NotNull(message = "尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long size;

    /**
     * 数量
     */
    @NotNull(message = "数量不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long number;


}
