package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工程用料预设业务对象 z_engineering_materials_resets
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringMaterialsResetsBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long areaId;

    /**
     * 材质
     */
    @NotBlank(message = "材质不能为空", groups = { AddGroup.class, EditGroup.class })
    private String materialQuality;

    /**
     * 规格
     */
    @NotBlank(message = "规格不能为空", groups = { AddGroup.class, EditGroup.class })
    private String estimatedSpecifications;

    /**
     * 预估尺寸
     */
    @NotNull(message = "预估尺寸不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long estimatedSize;

    /**
     * 预估金额
     */
    @NotBlank(message = "预估金额不能为空", groups = { AddGroup.class, EditGroup.class })
    private String estimatedAmount;


}
