package com.ruoyi.zdsz.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 顶管工程业务对象 z_engineering_pipe_jacking
 *
 * @author ruoyi
 * @date 2023-12-25
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ZEngineeringPipeJackingBo extends BaseEntity {

    /**
     * 
     */
    @NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 工程名称
     */
    @NotBlank(message = "工程名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginName;

    /**
     * 工程地址
     */
    @NotBlank(message = "工程地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginAddre;

    /**
     * 工程编码
     */
    @NotBlank(message = "工程编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginCode;

    /**
     * 施工单位
     */
    @NotBlank(message = "施工单位不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructUnit;

    /**
     * 工程规模
     */
    @NotBlank(message = "工程规模不能为空", groups = { AddGroup.class, EditGroup.class })
    private String enginScale;

    /**
     * 施工质量
     */
    @NotBlank(message = "施工质量不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructQuality;

    /**
     * 施工进度
     */
    @NotBlank(message = "施工进度不能为空", groups = { AddGroup.class, EditGroup.class })
    private String constructSchedule;


}
